# $Revision: 1.5 $, $Date: 2011/03/09 16:25:14 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Guard
Summary:	Guard - safe cleanup blocks
Summary(pl.UTF-8):	Guard - bezpieczne czyszczenie bloków
Name:		perl-Guard
Version:	1.021
Release:	2
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/M/ML/MLEHMANN/%{pdir}-%{version}.tar.gz
# Source0-md5:	6c15e885c089115f8263a5873ed74f1e
URL:		http://search.cpan.org/dist/Guard/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements so-called "guards". A guard is something
(usually an object) that "guards" a resource, ensuring that it is
cleaned up when expected.

Specifically, this module supports two different types of guards:
guard objects, which execute a given code block when destroyed, and
scoped guards, which are tied to the scope exit.

%description -l pl.UTF-8
Moduł ten implementuje tzw. "strażników". Strażnik jest czymś (zwykle
obiektem), co strzeże zasobu, zapewniając jego usunięcie wtedy, kiedy
jest ono oczekiwane.

W szczegóności moduł ten obsługuje dwa rodzaje strażników:
- obiekty strażników, wykonujące dany blok kodu w trakcie niszczenia
- strażników zakresowych, powiązanych z zakończeniem zakresu (scope).

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorarch}/Guard.pm
%dir %{perl_vendorarch}/auto/Guard
%{perl_vendorarch}/auto/Guard/Guard.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Guard/Guard.so
%{_mandir}/man3/Guard.3pm*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Guard.spec,v $
Revision 1.5  2011/03/09 16:25:14  qboosh
- cleanup
- removed README (just a copy of man page)

Revision 1.4  2010/06/06 08:37:44  arekm
- release 2

Revision 1.3  2009/09/14 11:09:11  amateja
- updated to 1.021

Revision 1.2  2009/06/17 08:43:16  amateja
- updated Source0 URL

Revision 1.1  2009/06/17 07:13:56  amateja
- initial
